Get a state proof that covers a given round | Algorand Developer Portal

Get a state proof that covers a given round

GET

/v2/stateproofs/{round}

Authorizations

Parameters

Path Parameters

round
required
integer
A round number.

Responses

200

StateProofResponse wraps the StateProof type in a response.

Select media type application/json

Represents a state proof and its corresponding message

Message
required
Represents the message that the state proofs are attesting to.

BlockHeadersCommitment
required
The vector commitment root on all light block headers within a state proof interval.
string format: byte
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

FirstAttestedRound
required
The first round the message attests to.

LastAttestedRound
required
The last round the message attests to.

LnProvenWeight
required
An integer value representing the natural log of the proven weight with 16 bits of precision. This value would be used to verify the next state proof.

VotersCommitment
required
The vector commitment root of the top N accounts to sign the next StateProof.

StateProof
required
The encoded StateProof for the message.

401

Invalid API Token

Select media type application/json

An error response with optional data field.

data
object
message
required
string

404

Could not find a state proof that covers a given round

Select media type application/json

An error response with optional data field.

data
object
message
required
string

408

Timed out on request

Select media type application/json

An error response with optional data field.

data
object
message
required
string

500

Internal Error

Select media type application/json

An error response with optional data field.

data
object
message
required
string

503

Service Temporarily Unavailable

Select media type application/json

An error response with optional data field.

data
object
message
required
string

default

Unknown Error